using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Practices.RepositoryFactory.CustomPages.CreateRepositoryPages
{
    public class EventArgs<T> : EventArgs
    {
        private T value;

        public T Value
        {
            get { return value; }
            set { this.value = value; }
        }

        public EventArgs(T value) : base()
        {
            this.value = value;
        }
    }
}
