﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.Practices.RepositoryFactory.SchemaDiscovery
{
    /// <summary>
    /// Supported Database Providers
    /// </summary>
    public static class DatabaseProvider
    {
        /// <summary>
        /// SqlServer provider string
        /// </summary>
        public static string SqlServer = "System.Data.SqlClient";

        /// <summary>
        /// Microsoft provider for Oracle string
        /// </summary>
        public static string MsOra = "System.Data.OracleClient";
        
        /// <summary>
        /// Oracle Data Provider string
        /// </summary>
        public static string ODP = "Oracle.DataAccess.Client";
    }
}
